# Generated by Django 4.2 on 2023-05-26 08:55

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0040_remove_ifpuser_original_institute_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="ifpuser",
            name="degree_certificate",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/", "degree_certificate_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="degree_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="get_bank_details",
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="get_dependent_for_insurance",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="get_educational_details",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="institute_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="mark_percent",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="year_of_passing",
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name="ifpuser",
            name="child1_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/", "child1_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="ifpuser",
            name="child2_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/", "child2_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="ifpuser",
            name="spouse_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/", "spouse_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
    ]
